<div class="sub-ibox-filter">



  <div id="account-filter-body" class="collapse show">

    <div class="card-body p-2">

      <form [formGroup]="formGroup" (ngSubmit)="onSubmit()" appFocusInvalidInput autocomplete="off">

        <div class="row  ">

          <div class="col-md-2 mt-3">
            <!-- <label class="col-form-label">{{'FIELD.EVENT.TYPE'|translate}}</label> -->
            <ngx-select
              [items]="eventTypeList"
              [optionValueField]="'code'"
              [optionTextField]="'value'"
              formControlName="type"
              [placeholder]="'FIELD.EVENT.TYPE'|translate"
              size='small' ngDefaultControl>
            </ngx-select>

            <div *ngIf="formGroup.get('type').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('type').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-2 mt-3">
            <!-- <label class="col-form-label">{{'FIELD.EVENT.DATE_DEBUT'|translate}}</label> -->
            <input type="text" class="form-control form-control-sm" formControlName="startDate"
                   [owlDateTime]="startDate" [placeholder]="'FIELD.EVENT.DATE_DEBUT'|translate">
            <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="startDate">
              <i class="ri-calendar-line"></i>
            </span>
            <owl-date-time #startDate [pickerType]="'calendar'"></owl-date-time>

            <div *ngIf="formGroup.get('startDate').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('startDate').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-2 mt-3">
            <!-- <label class="col-form-label">{{'FIELD.EVENT.DATE_FIN'|translate}}</label> -->
            <input type="text" class="form-control form-control-sm" formControlName="endDate"
                   [owlDateTime]="endDate" [placeholder]="'FIELD.EVENT.DATE_FIN'|translate">
            <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="endDate">
              <i class="ri-calendar-line"></i>
            </span>
            <owl-date-time #endDate [pickerType]="'calendar'"></owl-date-time>

            <div *ngIf="formGroup.get('endDate').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('endDate').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-2 mt-3">
            <!-- <label class="col-form-label">{{'FIELD.EVENT.STATUT'|translate}}</label> -->
            <ngx-select [items]="statusList" [optionValueField]="'code'" [optionTextField]="'value'"
                        formControlName="status" [placeholder]="'FIELD.EVENT.STATUT'|translate"
                        size='small' ngDefaultControl>
            </ngx-select>

            <div *ngIf="formGroup.get('status').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('status').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-2 mt-3">
            <!-- <label class="col-form-label">{{'FIELD.EVENT.GESTIONNAIRE'|translate}}</label> -->
            <ngx-select [items]="accountManagerList" [optionValueField]="'code'" [optionTextField]="'value'"
                        formControlName="gestionnaire" [placeholder]="'FIELD.EVENT.GESTIONNAIRE'|translate" size='small'
                        ngDefaultControl>
            </ngx-select>

            <div *ngIf="formGroup.get('gestionnaire').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('gestionnaire').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="text-left buttons-oriontation col-md-2 mt-3">
            <button type="button" class="reset-button btn  btn-sm mr-2" [title]="'FIELD.BUTTONS.RESET'|translate"
                    (click)="initFormGroup()"><i class="ri-arrow-go-back-line"></i></button>
            <button type="submit" class="submit-button btn  btn-sm" [title]="'FIELD.BUTTONS.SEARCH'|translate"><i
              class="ri-search-2-line"></i></button>
          </div>

        </div>




      </form>
    </div>
  </div>
</div>
